No one can help me? This is an odd error.&nbsp; It only comes up when I am running debug python.should I be asking a more general python group?<br><br><div class="gmail_quote">On Fri, Mar 14, 2008 at 2:11 PM, Matthew Scouten &lt;<a href="mailto:matthew.scouten@gmail.com">matthew.scouten@gmail.com</a>&gt; wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">I have had some need for end to end debugging. (step through python, boost.python the wrapper layer, and the wrapped library to find my error).<br>
<br>To that end I have compiled python in debug mode, and compiled my library in debug mode. I have an odd error:<br>
<br>Press any key to continue . . .<br>C:\tools-current&gt;python<br>Python 2.5.1 (r251:54863, Feb&nbsp; 1 2008, 11:38:01) [MSC v.1310 32 bit (Intel)] on win32<br>Type &quot;help&quot;, &quot;copyright&quot;, &quot;credits&quot; or &quot;license&quot; for more information.<br>

&gt;&gt;&gt; import cppclient<br>&gt;&gt;&gt; ^Z<br><br><br>C:\tools-current&gt;python_d<br>Python 2.5.1 (r251:54863, Feb&nbsp; 1 2008, 11:28:42) [MSC v.1310 32 bit (Intel)] on win32<br>Type &quot;help&quot;, &quot;copyright&quot;, &quot;credits&quot; or &quot;license&quot; for more information.<br>

&gt;&gt;&gt; import cppclient<br>Fatal Python error: Interpreter not initialized (version mismatch?)<br><br>C:\tools-current&gt;<br><br><br><br>
</blockquote></div><br>